Bug 1316589 - EAP 7 plug-in fails to discover JBoss EAP based products when their product slot is unknown
EAP 7 plug-in fails to discover JBoss EAP based products when their product s...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
urgent Severity high
: ER01
: One-off release
Assigned To: Michael Burman
Sunil Kondkar
: Triaged
Depends On: 1316187
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-03-10 09:42 EST by Michael Burman
Modified: 2016-06-06 14:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1300727
Environment:
Last Closed: 2016-06-06 14:57:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot - FSW6 Discovery (28.66 KB, image/png)
2016-04-14 06:31 EDT, Sunil Kondkar
no flags Details
Screenshot - manual Import success message (9.03 KB, image/png)
2016-04-14 06:32 EDT, Sunil Kondkar
no flags Details

  None (edit)
Comment 1 Michael Burman 2016-03-10 09:47:17 EST
Fixed in the master as part of BZ 1316187:

commit 706a8dc5bb5ab5b4b7de73e8359c8460f4c428e7
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Mar 10 16:45:29 2016 +0200

    [BZ 1316187] Add support for Wildfly 10 and if product-name is not recognized, fallback to Wildfly 10
Comment 2 Mike McCune 2016-03-28 19:06:24 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Sunil Kondkar 2016-04-14 06:30:31 EDT
Verified on EAP Plug-in Pack Update-04 ER01

Installed and started FSw6 instance. Verified that JBoss EAP 6 portion of the server is discovered as JBossAS7 Standalone Server without errors.

Verified manual import/availability and some smoke testing on FSW6
Please refer the attached screenshots.

Verified discovery, import, monitoring of an EAP 6.3 and EAP7 standalone servers.
Comment 6 Sunil Kondkar 2016-04-14 06:31 EDT
Created attachment 1147125 [details]
Screenshot - FSW6 Discovery
Comment 7 Sunil Kondkar 2016-04-14 06:32 EDT
Created attachment 1147126 [details]
Screenshot - manual Import success message

Note You need to log in before you can comment on or make changes to this bug.